import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PercentagePriceOscillatorIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected get_yy(): IndicatorCalculationStrategy;
    protected get yy(): IndicatorCalculationStrategy;
    protected get_zb(): Type;
    protected get zb(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly zk: DependencyProperty;
    protected y6(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly zj: DependencyProperty;
    protected y3(): number;
}
